## org.plovr
Class PlovrDiagnosticGroups

    java.lang.Object
      com.google.javascript.jscomp.DiagnosticGroups
          org.plovr.PlovrDiagnosticGroups

    public class PlovrDiagnosticGroups

extends com.google.javascript.jscomp.DiagnosticGroups

Field Summary

Fields inherited from class com.google.javascript.jscomp.DiagnosticGroups

`ACCESS_CONTROLS, AMBIGUOUS_FUNCTION_DECL, CHECK_PROVIDES, CHECK_REGEXP, CHECK_TYPES, CHECK_USELESS_CODE, CHECK_VARIABLES, CONST, CONSTANT_PROPERTY, DEBUGGER_STATEMENT_PRESENT, DEPRECATED, DUPLICATE_MESSAGE, DUPLICATE_VARS, ES5_STRICT, EXTERNS_VALIDATION, FILEOVERVIEW_JSDOC, GLOBAL_THIS, INTERNET_EXPLORER_CHECKS, INVALID_CASTS, MISSING_PROPERTIES, NON_STANDARD_JSDOC, STRICT_MODULE_DEP_CHECK, TWEAKS, TYPE_INVALIDATION, UNDEFINED_VARIABLES, UNKNOWN_DEFINES, VISIBILITY`

Constructor Summary
`PlovrDiagnosticGroups()`

Method Summary
`com.google.javascript.jscomp.DiagnosticGroup` `forName(java.lang.String name)`
`java.util.Map<java.lang.String,com.google.javascript.jscomp.DiagnosticGroup>` `getRegisteredGroups()`
`com.google.javascript.jscomp.DiagnosticGroup` `registerGroup(java.lang.String name, com.google.javascript.jscomp.DiagnosticGroup... groups)`
`com.google.javascript.jscomp.DiagnosticGroup` `registerGroup(java.lang.String name, com.google.javascript.jscomp.DiagnosticGroup group)`
`com.google.javascript.jscomp.DiagnosticGroup` `registerGroup(java.lang.String name, com.google.javascript.jscomp.DiagnosticType... types)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlovrDiagnosticGroups

    public PlovrDiagnosticGroups()

Method Detail

### registerGroup

    public com.google.javascript.jscomp.DiagnosticGroup registerGroup(java.lang.String name,
                                                                      com.google.javascript.jscomp.DiagnosticGroup group)

### registerGroup

    public com.google.javascript.jscomp.DiagnosticGroup registerGroup(java.lang.String name,
                                                                      com.google.javascript.jscomp.DiagnosticType... types)

### registerGroup

    public com.google.javascript.jscomp.DiagnosticGroup registerGroup(java.lang.String name,
                                                                      com.google.javascript.jscomp.DiagnosticGroup... groups)

### getRegisteredGroups

    public java.util.Map<java.lang.String,com.google.javascript.jscomp.DiagnosticGroup> getRegisteredGroups()

  Overrides:
    `getRegisteredGroups` in class `com.google.javascript.jscomp.DiagnosticGroups`

### forName

    public com.google.javascript.jscomp.DiagnosticGroup forName(java.lang.String name)

  Overrides:
    `forName` in class `com.google.javascript.jscomp.DiagnosticGroups`